<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

//class CustomerController extends Controller
//{
//    public function index()
//    {
//        return view('customers.customer_home');
//    }
//}
class CustomerController extends Controller
{
    public function __construct()
    {

    }
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
//        $customers= customer::all();
//        return view('customers.tampilcustomer', compact('customers'));
        return view('customers.customer_home');
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('customers.tambahcustomer');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $this->validate($request, [
            'nama' => 'required',
            'pekerjaan' => 'required',
            'notlp' => 'required',
        ]);

        $customers = new customers();
        $customers->nama = $request->nama;
        $customers->pekerjaan = $request->pekerjaan;
        $customers->notlp = $request->notlp;
        $customers->save();
        if($customers->save()){
            Session::flash('pesan_sukses','Berhasil menambahkan data');
        }
        else{
            Session::flash('pesan_gagal','Gagal menambahkan data');
        }
        return redirect()->route('customer.index');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $customers = customer::findOrFail($id);
        return view('customers.editcustomer', compact('customers'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $this->validate($request, [
            'nama' => 'required',
            'pekerjaan' => 'required',
            'notlp' => 'required',
        ]);

        $customers = customer::findOrFail($id);
        $customers->nama = $request->pekerjaan;
        $customers->pekerjaan = $request->nama;
        $customers->notlp = $request->notlp;
        $customers->save();
        if($customers->save()){
            Session::flash('pesan_sukses','Berhasil menyimpan data');
        }
        else{
            Session::flash('pesan_gagal','Gagal menyimpan data');
        }
        return redirect()->route('customer.index');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $customers = customer::findOrFail($id);
        $customers->delete();
        return redirect()->route('customer.index')->with('pesan_sukses','Berhasil menghapus data');
    }
}