<?php

Route::get('/', function () {
    return view('index');
});

Route::group(['middleware' => 'visitors'], function()
{
    Route::get('/register', 'RegistrationController@register');
    Route::post('/register', 'RegistrationController@postRegister');
    Route::get('/login', 'LoginController@login');
    Route::post('/login', 'LoginController@postLogin');
    Route::get('/forgot-password', 'ForgotPasswordController@forgotPassword');
    Route::post('/forgot-password', 'ForgotPasswordController@postForgotPassword');
    Route::get('/reset/{email}/{resetCode}', 'ForgotPasswordController@resetPassword');
});

Route::post('/logout', 'LoginController@logout');

Route::group(['middleware' => 'admin'], function()
{
    Route::get('/admin', 'AdminController@index');
    Route::resource('/karyawan', 'KaryawanController');
});

Route::group(['middleware' => 'manager'], function()
{
    Route::get('/manager', 'ManagerController@index');
    Route::resource('/pegawai', 'KaryawanController@pegawai');
});


Route::group(['middleware' => 'staff'], function ()
{
    Route::get('/staff', 'StaffController@index');
});

Route::group(['middleware' => 'staff'], function ()
{
    Route::get('/customer', 'CustomerController@index');
});



